<?php

App::uses('AppHelper', 'View/Helper');
App::uses('BulkDiscountLib', 'EvBulkDiscount.Lib');


class BulkDiscountsHelper extends AppHelper {

	/**
	 * inject the tab into the form
	 *
	 */
	public function injectAdminForm() {
		// check the logged in user to prevent showing the form if they are not an admin
		echo $this->element(
			'form_tab',
			array(
				'title' => 'Bulk Discounts',
				'tabContent' => $this->element('EvBulkDiscount.manage/discountTab')
			)
		);
	}

	/**
	 * calculate the discount
	 * pass off to the lib
	 *
	 * @param 	float 	$unitPrice 		The current unitPrice
	 * @param 	float 	$percentage		The discount percentage
	 * @return 	float 	$newUnitPrice 	The updated unit price
	 */
	public function calculateDiscount($unitPrice, $percentage) {
		return BulkDiscountLib::calculateDiscount($unitPrice, $percentage);
	}
}
